//
//  PoiModel.m
//  TestTravelController
//
//  Created by Apple on 17/3/21.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import "PoiModel.h"

@implementation PoiModel
-(instancetype)initWithDic:(NSDictionary *)dataDic
{
    if (self=[super init]) {
        self.poiType=[dataDic objectForKey:@"PoiType"];
        self.poiId=[dataDic objectForKey:@"PoiId"];
        self.poiName=[dataDic objectForKey:@"PoiName"];
        self.poiDescribe=[dataDic objectForKey:@"PoiDescrbe"];
        self.poiLatitude=[dataDic objectForKey:@"Latitude"];
        self.poiLongitude=[dataDic objectForKey:@"Longitude"];
        self.poiStartTime=[dataDic objectForKey:@"StartTime"];
        self.poiEndTime=[dataDic objectForKey:@"EndTime"];
        self.poiCover=[dataDic objectForKey:@"Cover"];
        NSDictionary *commentDic=[dataDic objectForKey:@"Comment"];
        if ([commentDic isKindOfClass:[NSDictionary class]]) {
            self.poiCommentDic=[NSDictionary dictionaryWithDictionary:commentDic];
        }
        NSArray *alterNative=[dataDic objectForKey:@"Alternative"];
        if ([alterNative isKindOfClass:[NSArray class]]) {
            self.poiAlterNative=[NSMutableArray arrayWithArray:alterNative];
        }
    }
    return self;
}


#pragma mark－－－－－－－－－－－－－－－请求数据－－－－－－－－－－
-(void)requestTrafficArray:(NSMutableArray *)trafficArray
{
    self.poiTrafficArray=[NSMutableArray arrayWithArray:trafficArray];
}

@end
