//
//  TrafficModel.m
//  TestTravelController
//
//  Created by Apple on 17/3/21.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import "TrafficModel.h"

@implementation TrafficModel

-(instancetype)initWithDic:(NSDictionary *)trafficDic
{
    if (self=[super init]) {
        self.trafficType=[trafficDic objectForKey:@"Type"];
        self.trafficDisNum=[trafficDic objectForKey:@"TrafficDisNum"];
        self.trafficDuration=[trafficDic objectForKey:@"Duration"];
        self.trafficName=[trafficDic objectForKey:@"TrafficName"];
        self.trafficStartTime=[trafficDic objectForKey:@"StartTime"];
        self.trafficEndTime=[trafficDic objectForKey:@"EndTime"];
        if ([[trafficDic objectForKey:@"ViaStops"]isKindOfClass:[NSArray class]]) {
            self.trafficViaStops=[NSMutableArray arrayWithArray:[trafficDic objectForKey:@"ViaStops"]];
        }
    }
    return self;
}



@end
