//
//  ViewController.m
//  TestTravelController
//
//  Created by Apple on 17/3/21.
//  Copyright © 2017年 手握日月摘星辰，世间无我这般人. All rights reserved.
//

#import "ViewController.h"
#import "TravelViewController.h"


#import "LogicDefine.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor=[UIColor greenColor];
    self.title=@"测试行程";
    
    //创建视图
    [self createMainView];
}

#pragma mark－－－－－－－－－－－－－－－创建视图
-(void)createMainView
{
    UILabel *remindLabel=[[UILabel alloc]initWithFrame:CGRectMake(10,UIScreen_Height/2-100,UIScreen_Width,50)];
    remindLabel.text=@"手握日月摘星辰，世间无我这般人";
    remindLabel.font=[UIFont systemFontOfSize:16];
    remindLabel.textColor=[UIColor whiteColor];
    remindLabel.textAlignment=NSTextAlignmentCenter;
    remindLabel.numberOfLines=0;
    [self.view addSubview:remindLabel];
    
    UIButton *skipBtn=[UIButton buttonWithType:UIButtonTypeCustom];
    skipBtn.frame=CGRectMake(UIScreen_Width/2-100,UIScreen_Height/2+100,200,40);
    [skipBtn setTitle:@"摘星辰" forState:UIControlStateNormal];
    [skipBtn setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
    [skipBtn setBackgroundColor:[UIColor whiteColor]];
    skipBtn.titleLabel.font=[UIFont systemFontOfSize:20];
    skipBtn.layer.cornerRadius=5;
    [skipBtn addTarget:self action:@selector(skipToNextVC) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:skipBtn];
}


#pragma mark－－－－－－－－－－－－－－－用户交互
-(void)skipToNextVC
{
    TravelViewController *travelController=[[TravelViewController alloc]init];
    [self.navigationController pushViewController:travelController animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
